> ## Documentation Index
> Fetch the complete documentation index at: https://docs.houdiniswap.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get partner chart stats



## OpenAPI

````yaml https://api-partner.houdiniswap.com/v2/openapi.json get /stats/chart
openapi: 3.0.0
info:
  title: houdiniswap-backend
  version: 2.1.1
  description: Houdiniswap Backend
  license:
    name: ISC
  contact: {}
servers:
  - url: https://api-partner.houdiniswap.com/v2
security: []
paths:
  /stats/chart:
    get:
      tags:
        - Stats
      summary: Get partner chart stats
      operationId: GetChart
      parameters:
        - in: query
          name: metric
          required: true
          schema:
            $ref: '#/components/schemas/ChartMetric'
        - in: query
          name: from
          required: true
          schema:
            type: string
            format: date-time
        - in: query
          name: to
          required: true
          schema:
            type: string
            format: date-time
        - in: query
          name: granularity
          required: false
          schema:
            $ref: '#/components/schemas/ChartGranularity'
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/ChartDataPoint'
                type: array
        '403':
          description: Access Denied
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '422':
          description: Validation Failed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidationError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - apiKey: []
components:
  schemas:
    ChartMetric:
      enum:
        - volume
      type: string
    ChartGranularity:
      enum:
        - day
        - month
      type: string
    ChartDataPoint:
      properties:
        date:
          type: string
        volumeUsd:
          type: number
          format: double
        count:
          type: number
          format: double
      required:
        - date
        - volumeUsd
        - count
      type: object
      additionalProperties: false
    ErrorResponse:
      properties:
        message:
          type: string
        code:
          type: string
        requestId:
          type: string
      required:
        - message
        - code
      type: object
      additionalProperties: false
    ValidationError:
      properties:
        message:
          type: string
        code:
          type: string
        requestId:
          type: string
        fields:
          $ref: '#/components/schemas/FieldErrors'
      required:
        - message
        - code
        - fields
      type: object
      additionalProperties: false
    FieldErrors:
      properties: {}
      type: object
      additionalProperties:
        properties:
          value: {}
          message:
            type: string
        required:
          - message
        type: object
  securitySchemes:
    apiKey:
      type: apiKey
      name: Authorization
      in: header

````